/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <stdio.h>

#include "interface.h"
#include "support.h"

static void usage()
{
  fprintf(stderr, "Usage: k164 [-h|--help] [-v|--version] [-f|--file device]\n");
}


int
main (int argc, char *argv[])
{
  GtkWidget *k164_window;
  int i;
  void statusbar_init(GtkWidget *widget);

  /* process command line arguments */
  for(i=1;i<argc;i++) {
    
    /* alternate input device */
    if (!strcmp(argv[i], "-f")||!strcmp(argv[i], "--file")) {
      void k164_set_device(char *device);

      if ( i++ == argc ) break;
      k164_set_device(argv[i]);
      continue;
    }

    /* specific request for usage() */
    if (!strcmp(argv[i], "-h")||!strcmp(argv[i], "--help")) {
      usage();
      exit(0);
    }

    /* report version */
    if (!strcmp(argv[i], "-v")||!strcmp(argv[i], "--version")) {
      /* erk, need a way to get this from configure */
      printf("k164-0.1\n");
      exit(0);
    }
  }

  gtk_set_locale ();
  gtk_init (&argc, &argv);

  add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
  add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");

  /*
   * The following code was added by Glade to create one of each component
   * (except popup menus), just so that you see something after building
   * the project. Delete any components that you don't want shown initially.
   */
  k164_window = create_k164_window();
  statusbar_init(k164_window);
  gtk_widget_show(k164_window);

  gtk_main();
  return 0;
}

